Gtk_ObjectHandle(3)

NAME - Gtk_ObjectHandle
Convenience class to ease management of "cached" data-members,

HEADER REQUIRED
#include <gtk--/base.h&gt;>

PUBLIC MEMBER INDEX
    explicit  Gtk_ObjectHandle( OBJECT* obj=0, bool owned = true);
    Gtk_ObjectHandle(auto_ptr &obj);
    Gtk_ObjectHandle(Gtk_ObjectHandle_ref ref);
    ~Gtk_ObjectHandle();
    const OBJECT*  get_object() const;
    OBJECT &  operator*() const;
    OBJECT *  operator->() const;
    bool  owner() const;
    template  operator  Gtk_ObjectHandle_ref<_Tp1>();
    template  operator  auto_ptr<_Tp1>();
    template  operator  Gtk_ObjectHandle<_Tp1>();
    Gtk_ObjectHandle(const Gtk_ObjectHandle &a);
    Gtk_ObjectHandle&  operator=(const Gtk_ObjectHandle &a);
    OBJECT *  get();
    OBJECT *  get_object();
    OBJECT *  release() const;
    void  set_owned(bool owned);
    void  set_object( OBJECT *obj, bool own = true );

PRIVATE MEMBER INDEX
    OBJECT * object_;
    mutable bool  owned_;

PUBLIC MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS